@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');

:root {
    --color-white: #FFFFFF;
    --color-black: #000000;
    --color-brand: #1996E8;
    --color-gray: #CBCBCB;
}

html {
    scroll-behavior: smooth;
}

body, html {
    background: var(--color-white);
    color: var(--color-black);
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    min-width: 320px;
    margin: 0;
    height: 100%;
}

.container {
    max-width: 960px;
    min-width: 320px;
    margin: 0 auto;
    padding: 0 20px;
}

.header {
    background-color: #030D16;
    color: white;
}

.header__container {
    padding: 80px 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    align-items: center;
    justify-items: center;
}

.main__container {
    padding: 80px 20px;

    display: grid;
    grid-template-columns: 1fr;
    gap: 80px;
}

.footer {
    background-color: #030D16;
    color: var(--color-gray);
    font-size: 12px;
}
.footer__container {
    padding: 40px 20px;
}

.grid__40 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 40px;
}

.grid__16 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 16px;
}

h1 {
    font-size: 48px;
    font-weight: 700;
    margin: 0;
    padding: 0;
}

h2 {
    font-size: 32px;
    font-weight: 700;
    color: var(--color-brand);
    margin: 0;
    padding: 0;
}

h4 {
    font-size: 16px;
    font-weight: 700;
    margin: 0;
    padding: 0;
}

p {
    margin: 0;
    padding: 0;
}

.col__3 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 40px;
}
.col__2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}

.card {
    padding: 16px;
    border-radius: 16px;
    border: 1px solid var(--color-gray);

    display: flex;
    flex-direction: column;
    gap: 16px;
}

.icon {
    width: 80px;
    height: 80px;
}

.hero {
    width: 100%;
    max-width: 440px;
}

.button {
    display: inline-block;
    width: fit-content;
    padding: 10px 48px;
    line-height: 20px;
    border-radius: 20px;
    text-decoration: none;
    background-color: #1996E8;
    color: white;
    transition: all 0.3s ease-in-out;
}
.button:hover {
    background-color: #35ACFA;
}

.doc {
    display: flex;
    gap: 8px;
    align-items: center;
}

.doc img {
    width: 20px;
    height: 20px;
}

.doc a {
    text-decoration: underline;
    color: var(--color-brand);
}

@media screen and (max-width: 768px) {
    h1 {
        font-size: 32px;
    }
    .header__container {
        grid-template-columns: 1fr;
    }
    .hero {
        max-width: 300px;
    }
    .col__3 {
        grid-template-columns: 1fr;
    }
    .col__2 {
        grid-template-columns: 1fr;
    }
}